#ifndef __clio__
#define __clio__
#include <sys/ioctl.h>
#include "CirrusLogicGD754XMode.h"

typedef struct {
	int           port;
	unsigned char byte;
}        clio_inoutb_t;

#define CLIOCSETBRIGHT  _IOW(0,0,int)
#define CLIOCOUTB       _IOW(0,1,clio_inoutb_t)
#define CLIOCINB        _IOWR(0,2,clio_inoutb_t)
#define CLIOCSETREG     _IOW(0,3,CirrusLogicGD754XMode)

typedef struct {
	short         pos;
	short         value;
}             clio_display_t;
#define CLIOCDISPLAY    _IOW(0,4,clio_display_t)

#define CLIO_MAXPAIRS	(600)

#endif
